## ichthux-docs 6.10-1

=== Makefile ===
#################################################################################
# Makefile for the Kubuntu Documentation
# Copyright (C) 2005-2006 Ubuntu Documentation Project (ubuntu-doc@lists.ubuntu.com)
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    On Debian based systems a copy of the GPL can be found
#    at /usr/share/common-licenses/GPL
#
#################################################################################

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Stylesheets for building HTML and PDF

ICHTHUXXSL=libs/ichthux-single.xsl
# Uncomment the line below this and comment out the line above this to build website with tabs
# KUBUNTUXSL=libs/kubuntu-web.xsl
#PDFSTYLE=../libs/pdf/ubuntu-pdf.xsl

# Makes an Image list text file
MKIMGLST=libs/imagelist.xsl

# Collected and Write Status
wOS=libs/writeOwnerStatus.xsl

BUILDDIR=build/

# Base kde directories for output from processor

RNBASE=$(BUILDDIR)release-notes/

AIBASE=$(BUILDDIR)about-ichthux/

INSTALLBASE=$(BUILDDIR)installguide/

all: clean about install release-notes

	# copy style sheet to build directory
	mkdir -p $(BUILDDIR)common/
	cp libs/kde-default.css $(BUILDDIR)common/
	cp libs/ichthux-default.css $(BUILDDIR)common/
	cp /usr/share/doc/kde/HTML/en/common/*png $(BUILDDIR)common/

# This is here to select what to build for the .deb package.
# Frode M. Doeving <frode@lnix.net>
# Depends: debhelper devscripts cdbs
# Run prepdeb.sh do not run this make target
# Status: Available
kdeb: release-notes about install

# Style and header images - these are used in all the documents below

style:

	@echo "Building the Server Guide . . ."
	# copy style sheet to build directory
	mkdir -p $(BUILDDIR)common/
	cp libs/kde-default.css $(BUILDDIR)common/
	cp libs/ichthux-default.css $(BUILDDIR)common/
	cp /usr/share/doc/kde/HTML/en/common/*png $(BUILDDIR)common/

# About Ichthux
about: style $(AIBASE)C

# To add other languages to the build simply include them after the above, like this: "$(AKBASE)lc" where "lc" is the language code.

$(AIBASE)%: about-ichthux/%/about-ichthux.xml
	xsltproc -o $@/index.html $(ICHTHUXXSL) $<

# Ichthux Release Notes

release-notes: style $(RNBASE)C

$(RNBASE)%: releasenotes/%/releasenotes.xml
	xsltproc -o $@/index.html $(ICHTHUXXSL) $<

	@echo "Complete. Find outputs at" $(RNBASE)

# Ichthux Install Guide

install: style $(INSTALLBASE)C

	# copy sample files to build directory
	#mkdir -p $(INSTALLBASE)sample
	#cp -r isntallguideguide/sample/* $(INSTALLBASE)sample/

$(INSTALLBASE)%: installguide/%/installguide.xml
	xsltproc --xinclude -o $@/index.html $(ICHTHUXXSL) $<

# Cleanup

clean:
	rm -rf $(BUILDDIR)*
