=== debian/changelog ===
ichthux-docs (6.10-1) edgy; urgency=low

  * Initial Release of Ichthux documentation

 -- Jordan Mantha <mantha@ubuntu.com>  Wed, 27 Sep 2006 10:57:17 -0700
