=== debian/control ===
Source: ichthux-docs
Section: text
Priority: optional
Maintainer: Jordan Mantha <mantha@ubuntu.com>
Build-Depends-Indep: debhelper (>= 4.0.0), cdbs, xsltproc, docbook-xsl, perl, perl-modules, poxml, kdelibs-data, kdelibs-bin
Standards-Version: 3.7.2

Package: ichthux-docs
Architecture: all
Depends: khelpcenter
Recommends: kubuntu-docs
Description: Ichthux documentation
 The Ichthux documentation in this package includes:
  * About Ichthux
  * Ichthux Release Notes
  * Ichthux Installation Guide
 .
 This documentation is created and maintained by
 the Ichthux Development Team. <ichthux-devel@crosswire.org>
