## ichthux-docs 6.10-2

=== debian/changelog ===
ichthux-docs (6.10-2) oneiric; urgency=low

  * Build-depend on kdelibs5-data rather than kdelibs-data (LP: #836795).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 11 Sep 2011 17:41:24 +0100
